#include<bits/stdc++.h>
using namespace std;
int main()
{
int n1, n2, k;
char c1, c2;
cin>>n1>>c1>>n2>>c2>>k;
if(c1=='A'){
    if(n1==k){
        cout<<n1;
    }
    if(n1<k){
        cout<<n1;
    }
    if(n1>k){
        cout<<k;
    }
}
else{
    if(k>n1){
    if(n2>=k-n1){
        cout<<k-n1;
    }
    else{
        cout<<0;
    }
    }
        if(k<n1){
        cout<<0;
    }
}

return 0;
}